NFSLOCKD(4)

NAME
nfslockd - NFS advisory locking

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

options NFSLOCKD

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    nfslockd_load="YES"

DESCRIPTION
The nfslockd driver provides kernel support for NFSv3 advisory locking. It works in tandem with rpc.lockd(8), which will normally load it on startup if it is not already loaded or compiled-in.

SEE ALSO
rpc.lockd(8)

HISTORY
The nfslockd driver first appeared in FreeBSD 6.4.

AUTHORS
-nosplit The nfslockd driver was written by Doug Rabson <dfr@FreeBSD.org>.